#!/bin/bash

# chmod u+x ./shellScript/build-phase/script1.sh to make script executable

# DWARF_DSYM_FILE_NAME
# DWARF_DSYM_FILE_SHOULD_ACCOMPANY_PRODUCT=NO
# DWARF_DSYM_FOLDER_PATH

set -v -x
EXPORT_PATH="$HOME/textsoap_build/${TARGETNAME}/export"
NOTARY_PATH="${EXPORT_PATH}/notary_info"

#UPLOAD_INFO_PLIST="${NOTARY_PATH}/UploadInfo.plist"
#REQUEST_INFO_PLIST="${NOTARY_PATH}/RequestInfo.plist"
#LOG_FILE="${NOTARY_PATH}/Log.txt"

RESULTSFILE="${EXPORT_PATH}/${TARGETNAME}_buildresults.txt"

rm -f -R "${EXPORT_PATH}"
mkdir -p "${EXPORT_PATH}"
mkdir -p "${NOTARY_PATH}"

exec &> "${RESULTSFILE}"

#echo 'export app from archive'
/usr/bin/xcodebuild -exportArchive -archivePath "$ARCHIVE_PATH" -exportOptionsPlist "$SRCROOT/${MYAPP_EXPORTOPTIONS_PLIST}" -exportPath "$EXPORT_PATH"

ditto -c -k --keepParent "${DWARF_DSYM_FOLDER_PATH}/${DWARF_DSYM_FILE_NAME}" "${EXPORT_PATH}/${DWARF_DSYM_FILE_NAME}.zip"
# As a convenience, open the export folder in Finder.
/usr/bin/open "$EXPORT_PATH"
